{
  # config,
  pkgs,
  inputs,
  ...
}: {
  imports = [
    ./languages.nix
  ];

  programs.helix = {
    enable = true;
    package = inputs.helix.packages.${pkgs.system}.default;
    extraPackages = with pkgs; [
      clang-tools
      marksman
      nil
      nodePackages.bash-language-server
      shellcheck
      texlab
      tectonic
      lua-language-server
      zathura
    ];
    settings = {
      theme = "catppuccin_frappe";
      editor = {
        line-number = "relative";
        lsp.display-messages = true;
        scrolloff = 10;
        middle-click-paste = false;
        cursorline = true;
        auto-format = false;
        idle-timeout = 400;
        color-modes = true;
        soft-wrap.enable = true;
        whitespace = {
          render = {
            space = "none";
            tab = "none";
            newline = "none";
          };
        };
        indent-guides = {
          render = true;
          character = "▏";
          rainbow-option = "dim";
        };
      };
    };
  };
}
