{
  pkgs,
  lib,
  ...
}: {
  programs.helix.languages = {
    language = [
      {
        name = "latex";
        indent = {
          tab-width = 2;
          unit = "\t";
        };
      }
    ];
    language-server = {
      nil = {
        config.nil.formatting.command = ["${lib.getExe pkgs.alejandra}" "-q"];
      };

      texlab = {
        config.texlab = {
          forwardSearch.executable = "zathura";
          forwardSearch.args = ["--synctex-forward" "%l:1:%f" "%p"];
          build = {
            executable = "tectonic";
            onSave = true;
            forwardSearchAfter = true;
            auxDirectory = "build";
            logDirectory = "build";
            pdfDirectory = "build";
            args = [
              "-X"
              "compile"
              "%f"
              "--synctex"
              "--keep-logs"
              "--keep-intermediates"
              "--outdir"
              "build"
            ];
          };
        };
      };
    };
  };
}
