{
  programs.git = {
    enable = true;
    userEmail = "tacocat@chytrid.org";
    userName = "Aria Nolan";
    extraConfig = {
      init.defaultbranch = "main";
    };
    aliases = {
      co = "checkout";
      aa = "add .";
      pom = "push -u origin main";
      cm = "commit -m";
    };
    delta = {
      enable = true;
      options = {
        decorations = {
          commit-decoration-style = "bold yellow box ul";
          file-decoration-style = "none";
          file-style = "bold yellow ul";
        };
        features = "decorations";
        whitespace-error-style = "22 reverse";
        syntax-theme = "ansi";
      };
    };
  };

  programs.gitui = {
    enable = true;
    theme = ''
      (
       selected_tab: Reset,
       command_fg: DarkGray,
       selection_bg: Green,
       selection_fg: White,
       cmdbar_bg: Blue,
       cmdbar_extra_lines_bg: Blue,
       disabled_fg: Magenta,
       diff_line_add: Green,
       diff_line_delete: Red,
       diff_file_added: LightGreen,
       diff_file_removed: LightRed,
       diff_file_moved: LightMagenta,
       diff_file_modified: Yellow,
       commit_hash: Magenta,
       commit_time: LightCyan,
       commit_author: Green,
       danger_fg: Red,
       push_gauge_bg: Blue,
       push_gauge_fg: Reset,
       tag_fg: LightMagenta,
       branch_fg: LightYellow,
      )
    '';
  };
}
