{pkgs, ...}: {
  programs.kitty = {
    enable = true;
    package = pkgs.runCommandLocal "no-kitty" {} "mkdir $out";
    # use kitty provided by your distro's package manager
    # can cause weird behaviour if anyhting depends on this package
    font.name = "FiraCode Nerd Font Mono";
    # font.package = pkgs.maple-mono-NF;
    font.package = pkgs.nerdfonts.override {fonts = ["FiraCode"];};
    font.size = 12.0;
    shellIntegration.enableZshIntegration = true;
    theme = "Rosé Pine Moon";
    settings = {
      cursor = "none";
      cursor_shape = "block";
      cursor_blink_interval = 0;
      shell = "/home/tacocat/.nix-profile/bin/zsh";
      shell_integration = "no-cursor";
      background_opacity = "0.9";
      tab_bar_style = "powerline";
      tab_separator = " |";
      tab_powerline_style = "slanted";
      enable_audio_bell = "no";
      # allow_remote_control = "password";
      update_check_interval = 0;
      linux_display_server = "wayland";
    };
    keybindings = {
      "kitty_mod+b" = "select_tab";
    };
  };
}
