{lib, ...}: {
  imports = [
    # ./zsh.nix
    ./bash.nix
    ./fish.nix
  ];

  programs.starship = {
    enable = true;
    # enableBashIntegration = true;
    enableZshIntegration = true;
    enableFishIntegration = true;
    settings = {
      add_newline = false;
      format = lib.concatStrings [
        "$directory"
        "$git_branch"
        "$git_commit"
        "$git_state"
        "$git_status"
        "$package"
        "$nix_shell"
        "$cmd_duration"
        "$line_break"
        "$status"
        "$character"
      ];
      scan_timeout = 10;
      git_commit.tag_disabled = false;
      git_status = {
        ahead = ''↑''${count}'';
        behind = ''↓''${count}'';
        diverged = ''↕↑''${ahead_count}⇣''${behind_count}'';
        staged = "+$count";
      };
      nix_shell = {
        format = "via [$symbol$state]($style) ";
        impure_msg = "ι";
        pure_msg = "﻿ρ";
        symbol = "❄️";
      };
      directory = {
        read_only = " ";
      };
      character = {
        # success_symbol = "[)](bold green)";
        # error_symbol = "[)](bold red)";
        # vimcmd_symbol = "[(](bold green)";
        # vimcmd_replace_one_symbol = "[(](bold purple)]";
        # vimcmd_replace_symbol = "[(](bold purple)]";
        # vimcmd_visual_symbol = "[(](bold yellow)]";
      };
    };
  };
}
